Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QWizard.WizardPixmap

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QWizard.WizardPixmap

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWizard

    public static final class QWizard.WizardPixmap

extends java.lang.Enum
implements QtEnumerator

This enum specifies the pixmaps that can be associated with a page.

See also:
  `setPixmap()`, `QWizardPage::setPixmap()`, and `Elements of a Wizard Page`.

See Also:
  Serialized Form

Field Summary
`static QWizard.WizardPixmap` | `BackgroundPixmap` The pixmap that occupies the background of a `MacStyle` wizard
`static QWizard.WizardPixmap` | `BannerPixmap` The pixmap that occupies the background of a `ModernStyle` page header
`static QWizard.WizardPixmap` | `LogoPixmap` The small pixmap on the right side of a `ClassicStyle` or `ModernStyle` page header
`static QWizard.WizardPixmap` | `NPixmaps`
`static QWizard.WizardPixmap` | `WatermarkPixmap` The tall pixmap on the left side of a `ClassicStyle` or `ModernStyle` page

Method Summary
`static QWizard.WizardPixmap` | `resolve(int value)` Returns the QWizard$WizardPixmap constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardPixmap` | `valueOf(java.lang.String name)`
`static QWizard.WizardPixmap[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WatermarkPixmap

    public static final QWizard.WizardPixmap WatermarkPixmap

  The tall pixmap on the left side of a `ClassicStyle` or `ModernStyle` page

### LogoPixmap

    public static final QWizard.WizardPixmap LogoPixmap

  The small pixmap on the right side of a `ClassicStyle` or `ModernStyle` page header

### BannerPixmap

    public static final QWizard.WizardPixmap BannerPixmap

  The pixmap that occupies the background of a `ModernStyle` page header

### BackgroundPixmap

    public static final QWizard.WizardPixmap BackgroundPixmap

  The pixmap that occupies the background of a `MacStyle` wizard

### NPixmaps

    public static final QWizard.WizardPixmap NPixmaps

Method Detail

### values

    public static QWizard.WizardPixmap[] values()

### valueOf

    public static QWizard.WizardPixmap valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWizard.WizardPixmap resolve(int value)

  Returns the QWizard$WizardPixmap constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD